---
title: PresentationConnectionCloseEvent
slug: Web/API/PresentationConnectionCloseEvent
tags:
  - API
  - Experimental
  - Presentation API
  - PresentationConnectionCloseEvent
  - PresentationRequest
  - Reference
  - events
---
<p>{{SeeCompatTable}}{{securecontext_header}}{{DefaultAPISidebar("Presentation API")}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>PresentationConnectionCloseEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/Presentation_API">Presentation API</a> is fired on a {{domxref("PresentationConnection")}} when it is closed.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("PresentationConnectionCloseEvent.PresentationConnectionCloseEvent()")}}</dt>
 <dd>Creates a new PresentationConnectionCloseEvent.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("PresentationConnectionCloseEvent.message")}} {{readonlyinline}}</dt>
 <dd>A human-readable message that provides more information about why the connection was closed.</dd>
 <dt>{{DOMxRef("PresentationConnectionCloseEvent.reason")}} {{readonlyinline}}</dt>
 <dd>Indicates why the connection was closed. This property takes one of the following values: <code>error</code>, <code>closed</code>, or <code>wentaway</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationconnectioncloseevent','PresentationConnectionCloseEvent interface')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationConnectionCloseEvent")}}</p>
